CCfits 2.7

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
CCfits::Column::WrongColumnType Class Reference

Exception thrown on attempting to access a scalar column as vector data. More...

`#include <Column.h>`

Inheritance diagram for CCfits::Column::WrongColumnType:

List of all members.

## Public Member Functions

| WrongColumnType (const String &diag, bool silent=true)
| Exception ctor, prefixes the string "FitsError: Attempt to return scalar data from vector column, or vice versa - Column: " before the specific message.

## Detailed Description

Exception thrown on attempting to access a scalar column as vector data.

This exception will be thrown if the user tries to call a read/write operation with a signature appropriate for a vector column on a scalar column, or vice versa. For example in the case of write operations, the vector versions require the specification of (a) a number of rows to write over, (b) a vector of lengths to write to each row or (c) a subset specification. The scalar versions only require a number of rows if the input array is a plain C-array, otherwise the range to be written is the size of the input vector.

## Constructor & Destructor Documentation

CCfits::Column::WrongColumnType::WrongColumnType | ( | const String & | diag,
|  | bool | silent = `true`
| ) |  |

Exception ctor, prefixes the string "FitsError: Attempt to return scalar data from vector column, or vice versa - Column: " before the specific message.

Parameters:

  diag | A specific diagnostic message, usually the column name.
  silent | if true, print message whether FITS::verboseMode is set or not.

The documentation for this class was generated from the following files:

- Column.h
- Column.cxx